| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPixMixerRGBA< Tpixel > Class Template Reference
[Common Plugin Classes]

PixMixer that mixes the pixel into the background with alpha. More...

`#include <csplugincommon/canvas/draw_common.h>`

List of all members.

## Public Member Functions
| csPixMixerRGBA (csGraphics2D *G2D, Tpixel color, uint8 alpha)
void | Mix (Tpixel &dest) const

## Detailed Description

### template<class Tpixel>
class csPixMixerRGBA< Tpixel >

PixMixer that mixes the pixel into the background with alpha.

Definition at line 59 of file draw_common.h.

The documentation for this class was generated from the following file:

- csplugincommon/canvas/draw_common.h